# This file created by conda-build 3.20.3
# meta.yaml template originally from:
# /workspace/conda/recipes/rmm, last modified Wed Aug  4 14:58:41 2021
# ------------------------------------------------

package:
    name: rmm
    version: 21.08.00
source:
    git_url: ../../..
build:
    number: '0'
    script_env:
        - CC
        - CUDAHOSTCXX
        - CXX
        - RMM_BUILD_NO_GPU_TEST
        - VERSION_SUFFIX
    string: cuda_11.4_py37_g2b6968b_0
requirements:
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - ca-certificates 2021.5.30 ha878542_0
        - certifi 2021.5.30 py37h89c1867_0
        - cudatoolkit 11.4.0 hebf7ef1_9
        - cython 0.29.24 py37hcd2ae1e_0
        - ld_impl_linux-64 2.36.1 hea4e1c9_2
        - libffi 3.3 h58526e2_2
        - libgcc-ng 11.1.0 hc902ee8_7
        - libgomp 11.1.0 hc902ee8_7
        - librmm 21.08.00 cuda11.4_g2b6968b_0
        - libstdcxx-ng 11.1.0 h56837e0_7
        - ncurses 6.2 h58526e2_4
        - openssl 1.1.1k h7f98852_0
        - pip 21.2.2 pyhd8ed1ab_0
        - python 3.7.10 hffdb5ce_100_cpython
        - python_abi 3.7 2_cp37m
        - readline 8.1 h46c0cb4_0
        - setuptools 49.6.0 py37h89c1867_3
        - spdlog 1.8.5 h4bd325d_0
        - sqlite 3.36.0 h9cd32fc_0
        - tk 8.6.10 h21135ba_1
        - wheel 0.36.2 pyhd3deb0d_0
        - xz 5.2.5 h516909a_1
        - zlib 1.2.11 h516909a_1010
    run:
        - cudatoolkit >=11.4.0,<11.5.0a0
        - librmm >=21.8.0,<21.9.0a0
        - numba >=0.49
        - numpy
        - python >=3.7,<3.8.0a0
        - python_abi 3.7.* *_cp37m
test:
    commands:
        - python -c "import rmm"
about:
    home: http://rapids.ai/
    license: Apache-2.0
    license_family: Apache
    license_file: LICENSE
    summary: rmm library
extra:
    copy_test_source_files: true
    final: true
